Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.convert
Class SequenceRowKeyConverter<T>

    java.lang.Object
      org.richfaces.convert.SequenceRowKeyConverter<T>

All Implemented Interfaces:
  javax.faces.convert.Converter

Direct Known Subclasses:
  IntegerSequenceRowKeyConverter, StringSequenceRowKeyConverter

    public class SequenceRowKeyConverter<T>

extends Object
implements javax.faces.convert.Converter

Since:
  3.3.1
Author:
  Nick Belaevski

Constructor Summary
`SequenceRowKeyConverter(Class<T> clazz, javax.faces.convert.Converter delegateConverter)`

Method Summary
`Object` | `getAsObject(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String value)`
`String` | `getAsString(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceRowKeyConverter

    public SequenceRowKeyConverter(Class<T> clazz,
                                   javax.faces.convert.Converter delegateConverter)

Method Detail

### getAsObject

    public Object getAsObject(javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent component,
                              String value)
                       throws javax.faces.convert.ConverterException

  Specified by:
    `getAsObject` in interface `javax.faces.convert.Converter`
  Throws:
    `javax.faces.convert.ConverterException`

### getAsString

    public String getAsString(javax.faces.context.FacesContext context,
                              javax.faces.component.UIComponent component,
                              Object value)

  Specified by:
    `getAsString` in interface `javax.faces.convert.Converter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.